### Method

# Ide ConfigManager get_config

#### Declaration

    IdeConfig*
    ide_config_manager_get_config (
      IdeConfigManager* self,
      const gchar* id
    )

#### Description

Gets the `IdeConfig` by id. See ide_config_get_id().

Available since: | 3.32

#### Parameters

`id` | `const gchar*`
| The string identifier of the configuration.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeConfig`
| An `IdeConfig` or `NULL` if the configuration could not be found.
| The data is owned by the instance.
| The return value can be `NULL`.